window.Gleam.initSearch([{"doc":"gleam_bbmustache","title":"gleam_bbmustache","content":"# bbmustache\n\nGleam bindings to the [bbmustache][bbmustache] templating library.\n\n[bbmustache]: https://github.com/soranoba/bbmustache\n\n```gleam\nimport gleam/bbmustache.{string}\nimport gleam/expect\n\npub fn main() {\n  let assert Ok(template) = bbmustache.compile(&quot;Hello, {{name}}!&quot;)\n\n  let rendered = bbmustache.render(template, [\n    string(&quot;name&quot;, &quot;World&quot;),\n  ])\n\n  expect.equal(rendered, &quot;Hello, World!&quot;)\n}\n```\n\n## Quick start\n\n```sh\n# Build the project\nrebar3 compile\n\n# Run the eunit tests\nrebar3 eunit\n\n# Run the Erlang REPL\nrebar3 shell\n```\n","url":"index.html"},{"doc":"gleam/bbmustache","title":"Argument","content":"pub type Argument\n\n\nSynonyms:\ngleam/bbmustache.Argument\ngleam/bbmustache Argument","url":"gleam/bbmustache.html#Argument"},{"doc":"gleam/bbmustache","title":"CompileError","content":"pub type CompileError {\n  FileNotFound\n  IncorrectSection(String)\n  InvalidDelimiters\n  UnclosedSection(String)\n  UnclosedTag\n  UnsupportedTag(String)\n}\n\nFileNotFound\n\n\nIncorrectSection(String)\n\n\nInvalidDelimiters\n\n\nUnclosedSection(String)\n\n\nUnclosedTag\n\n\nUnsupportedTag(String)\n\n\nSynonyms:\ngleam/bbmustache.CompileError\ngleam/bbmustache CompileError","url":"gleam/bbmustache.html#CompileError"},{"doc":"gleam/bbmustache","title":"Template","content":"pub type Template\n\n\nSynonyms:\ngleam/bbmustache.Template\ngleam/bbmustache Template","url":"gleam/bbmustache.html#Template"},{"doc":"gleam/bbmustache","title":"builder","content":"pub fn builder(of of: StringBuilder) -&gt; Argument\n\nSynonyms:\ngleam/bbmustache.builder\ngleam/bbmustache builder","url":"gleam/bbmustache.html#builder"},{"doc":"gleam/bbmustache","title":"compile","content":"pub fn compile(tmpl: String) -&gt; Result(Template, CompileError)\n\nSynonyms:\ngleam/bbmustache.compile\ngleam/bbmustache compile","url":"gleam/bbmustache.html#compile"},{"doc":"gleam/bbmustache","title":"compile_file","content":"pub fn compile_file(\n  path: String,\n) -&gt; Result(Template, CompileError)\n\nSynonyms:\ngleam/bbmustache.compile_file\ngleam/bbmustache compile_file","url":"gleam/bbmustache.html#compile_file"},{"doc":"gleam/bbmustache","title":"int","content":"pub fn int(of of: Int) -&gt; Argument\n\nSynonyms:\ngleam/bbmustache.int\ngleam/bbmustache int","url":"gleam/bbmustache.html#int"},{"doc":"gleam/bbmustache","title":"list","content":"pub fn list(of of: List(Argument)) -&gt; Argument\n\nSynonyms:\ngleam/bbmustache.list\ngleam/bbmustache list","url":"gleam/bbmustache.html#list"},{"doc":"gleam/bbmustache","title":"object","content":"pub fn object(of of: List(#(String, Argument))) -&gt; Argument\n\nSynonyms:\ngleam/bbmustache.object\ngleam/bbmustache object","url":"gleam/bbmustache.html#object"},{"doc":"gleam/bbmustache","title":"render","content":"pub fn render(\n  template: Template,\n  injecting args: List(#(String, Argument)),\n) -&gt; String\n\nSynonyms:\ngleam/bbmustache.render\ngleam/bbmustache render","url":"gleam/bbmustache.html#render"},{"doc":"gleam/bbmustache","title":"string","content":"pub fn string(of of: String) -&gt; Argument\n\nSynonyms:\ngleam/bbmustache.string\ngleam/bbmustache string","url":"gleam/bbmustache.html#string"},{"doc":"gleam/bbmustache","title":"gleam/bbmustache","content":"","url":"gleam/bbmustache.html"}]);